<?php

// スクリプト(jQuery)読み込み
function add_script(){
  // my scriptの読み込み
  wp_enqueue_script('my_script', get_template_directory_uri() . '/js/my_script.js', array('jquery'), '', true);
}
add_action( 'wp_enqueue_scripts', 'add_script' );

// ウィジェット
register_sidebar();

// RSSフィード
//add_theme_support( 'automatic-feed-links' );

// カスタムメニュー
register_nav_menu( 'navigation', 'ナビゲーション' );

// 概要（抜粋）の文字数
function my_length($length){
  return 70;
}

add_filter('excerpt_mblength','my_length');

// 概要（抜粋）の省略記号
function my_more($more) {
  return '・・・';
}

add_filter('excerpt_more','my_more');

// アイキャッチ画像
add_theme_support( 'post-thumbnails' );

// カテゴリの投稿数をaタグの中に
add_filter( 'wp_list_categories', 'my_list_categories', 10, 2 );
function my_list_categories( $output, $args ) {
  $output = preg_replace('/<\/a>\s*\((\d+)\)/',' ($1)</a>',$output);
  return $output;
}

// アーカイブの投稿数をaタグの中に
add_filter( 'get_archives_link', 'my_archives_link' );
function my_archives_link( $output ) {
  $output = preg_replace('/<\/a>\s*(&nbsp;)\((\d+)\)/',' ($2)</a>',$output);
  return $output;
}


// カスタマイザーオリジナル項目追加
add_action( 'customize_register', 'theme_customize_register' );

// カスタマイザーテキストボックス対応
if(class_exists('WP_Customize_Control')):
	class EX_Customize_Textarea_Control extends WP_Customize_Control {
		public $type = 'textarea';

		public function render_content() {
			?>
			<label>
			<span class="customize-control-title"><?php echo esc_html( $this->label ); ?></span>
			<textarea rows="10" style="width:100%;" <?php $this->link(); ?>><?php echo esc_textarea( $this->value() ); ?></textarea>
			</label>
			<?php
		}
	}
endif;


function theme_customize_register($wp_customize) {

/* セクション追加 */
$wp_customize->add_section( 'header_custom', array(
  'title' =>'ヘッダーカスタム',
  'priority' => 100,
));

/* ヘッダーカスタム：タイトルはWordPressのタイトルを表示 */
$wp_customize->add_setting('header_options[title_txt]', array(
  'type' => 'option',
));

$wp_customize->add_control( 'header_options[title_txt]', array(
'settings' => 'header_options[title_txt]',
'label' => 'タイトルはWordPressのタイトルを表示',
'section' => 'header_custom',
'type' => 'checkbox',
));


/* ヘッダーカスタム：サイトロゴ画像選択 */
$wp_customize->add_setting('header_options[sitelogo_img]', array(
  'type' => 'option',
));

if(class_exists('WP_Customize_Image_Control')):
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'header_options[sitelogo_img]', array(
  'settings' => 'header_options[sitelogo_img]',
  'label' => 'ロゴ画像',
  'section' => 'header_custom',
)));
endif;

/* ヘッダーカスタム：キャッチフレーズを表示する */
$wp_customize->add_setting('header_options[description]', array(
  'type' => 'option',
));

$wp_customize->add_control( 'header_options[description]', array(
'settings' => 'header_options[description]',
'label' => 'キャッチフレーズを表示する',
'section' => 'header_custom',
'type' => 'checkbox',
));


/* ヘッダーカスタム：トップ画像選択 */
$wp_customize->add_setting('header_options[top_img]', array(
  'type' => 'option',
));

if(class_exists('WP_Customize_Image_Control')):
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'header_options[top_img]', array(
  'settings' => 'header_options[top_img]',
  'label' => 'トップイメージ画像',
  'section' => 'header_custom',
)));
endif;

/* ヘッダーカスタム：キャッチフレーズを表示する */
$wp_customize->add_setting('header_options[top_img_delete]', array(
  'type' => 'option',
));

$wp_customize->add_control( 'header_options[top_img_delete]', array(
'settings' => 'header_options[top_img_delete]',
'label' => 'トップイメージを表示しない',
'section' => 'header_custom',
'type' => 'checkbox',
));

/* ヘッダー背景カラー追加 */
$wp_customize->add_setting( 'header_options[header_color]', array(
    'type' => 'option'
));
$wp_customize->add_control( new WP_Customize_Color_Control(
    $wp_customize, 'header_options[header_color]',
    array(
        'settings' => 'header_options[header_color]',
        'label' => 'ヘッダーカラー',
        'section' => 'header_custom',
)));

/* ヘッダー文字カラー追加 */
$wp_customize->add_setting( 'header_options[text_color]', array(
    'type' => 'option'
));
$wp_customize->add_control( new WP_Customize_Color_Control(
    $wp_customize, 'header_options[text_color]',
    array(
        'settings' => 'header_options[text_color]',
        'label' => '文字カラー',
        'section' => 'header_custom',
)));

/* hover文字カラー追加 */
$wp_customize->add_setting( 'header_options[hover_color]', array(
    'type' => 'option'
));
$wp_customize->add_control( new WP_Customize_Color_Control(
    $wp_customize, 'header_options[hover_color]',
    array(
        'settings' => 'header_options[hover_color]',
        'label' => 'マウスオーバーカラー',
        'section' => 'header_custom',
)));

/* セクション追加 */
$wp_customize->add_section( 'main_custom', array(
  'title' =>'メインコンテンツカスタム',
  'priority' => 101,
));

/* カテゴリーカラー追加 */
$wp_customize->add_setting( 'main_options[category_color]', array(
    'type' => 'option'
));
$wp_customize->add_control( new WP_Customize_Color_Control(
    $wp_customize, 'main_options[category_color]',
    array(
        'settings' => 'main_options[category_color]',
        'label' => 'カテゴリーカラー',
        'section' => 'main_custom',
)));

/* 見出しタイプ(h2)追加 */
$wp_customize->add_setting( 'main_options[heading_type]', array(
    'type' => 'option',
    'default' => 'value1'
));
$wp_customize->add_control( 'main_options[heading_type]', array(
        'settings' => 'main_options[heading_type]',
        'label' => '見出しタイプ(h2タグ)',
        'section' => 'main_custom',
        'type' => 'radio',
        'choices' => array(
          'value1' => 'タイプ1',
          'value2' => 'タイプ2',
          'value3' => 'タイプ3',
        ),
));
/* 見出しタイプ(h3)追加 */
$wp_customize->add_setting( 'main_options[heading_type2]', array(
    'type' => 'option',
    'default' => 'value1'
));
$wp_customize->add_control( 'main_options[heading_type2]', array(
        'settings' => 'main_options[heading_type2]',
        'label' => '見出しタイプ(h3タグ)',
        'section' => 'main_custom',
        'type' => 'radio',
        'choices' => array(
          'value1' => 'タイプ1',
          'value2' => 'タイプ2',
          'value3' => 'タイプ3',
        ),
));

/* セクション追加 */
$wp_customize->add_section( 'side_custom', array(
  'title' =>'サイドコンテンツカスタム',
  'priority' => 102,
));


/* サイドページカスタム：プロフィール表示／非表示 */
$wp_customize->add_setting('side_options[profile_disp_check]', array(
  'type' => 'option',
));

$wp_customize->add_control( 'side_options[profile_disp_check]', array(
'settings' => 'side_options[profile_disp_check]',
'label' => 'プロフィールを表示する',
'section' => 'side_custom',
'type' => 'checkbox',
));

/* サイドページカスタム：サイドバナー画像選択 */
$wp_customize->add_setting('side_options[profile_image]', array(
  'type' => 'option',
));

if(class_exists('WP_Customize_Image_Control')):
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'side_options[profile_image]', array(
  'settings' => 'side_options[profile_image]',
  'label' => 'プロフィール画像',
  'section' => 'side_custom',
)));
endif;

/* サイドページカスタム：プロフィール内容 */
$wp_customize->add_setting('side_options[profile_txt]', array(
  'type' => 'option',
));

if(class_exists('EX_Customize_Textarea_Control')):
  $wp_customize->add_control( new EX_Customize_Textarea_Control( $wp_customize, 'side_options[profile_txt]', array(
    'settings' => 'side_options[profile_txt]',
    'label' => 'プロフィール内容',
    'section' => 'side_custom',
    'type' => 'text',
  )));
endif;

/* サイドページカスタム：プロフィールリンク */
$wp_customize->add_setting('side_options[profile_link]', array(
  'type' => 'option',
));
$wp_customize->add_control( 'side_options[profile_link]', array(
  'settings' => 'side_options[profile_link]',
  'label' => 'リンクURL',
  'section' => 'side_custom',
  'type' => 'text',
));


/* サイドコンテンツ見出しタイプ追加 */
$wp_customize->add_setting( 'side_options[side_title_style]', array(
    'type' => 'option',
    'default' => 'value1'
));
$wp_customize->add_control( 'side_options[side_title_style]', array(
        'settings' => 'side_options[side_title_style]',
        'label' => '見出しタイプ',
        'section' => 'side_custom',
        'type' => 'radio',
        'choices' => array(
          'value1' => 'タイプ1',
          'value2' => 'タイプ2',
          'value3' => 'タイプ3',
        ),
));


}
