<?php get_header(); ?>
  <div class="container contents_main_box">
    <div class="contents contents_border">
    <?php if( is_category() ): ?>
      <h1 class="archive-title">
        <i class="fa fa-folder-open"></i>
        「<?php single_cat_title(); ?>」に関する記事
      </h1>
    <?php endif; ?>

    <?php if(is_month()): ?>
      <h1 class="archive-title">
        <i class="fa fa-clock-o"></i>
        <?php echo get_the_date( 'Y年n月' ); ?>に投稿した記事
      </h1>
    <?php endif; ?>

    <?php if(have_posts()): while(have_posts()): the_post(); ?>



        <?php if( is_single() ): ?>
      <article <?php post_class(); ?>>
          <h1><?php the_title(); ?></h1>
        <?php else: ?>
      <article class="article_list">
        <?php endif; ?>


        <?php if (is_single() ): ?>
          <div class="postinfo_article">
            <time datetime="<?php echo get_the_date('Y-m-d')?>">
              <i class="fa fa-clock-o"></i>
              <?php echo get_the_date(); ?>
            </time>

            <span class="postcat_article">
              <i class="fa fa-folder-open"></i>
              <?php the_category( ', ' ); ?>
            </span>

            <span class="postcom_article">
              <i class="fa fa-comment"></i>
              <a href="<?php comments_link(); ?>">
              <?php comments_number(
                          'コメント',
                          'コメント(1件)',
                          'コメント(%件)'
            ); ?>
            </a>
            </span>
          </div>

          <?php the_content(); ?>
        <?php else: ?>
          <div class="row">
            <div class="col one-second eyecatch image_base">
            <?php if( has_post_thumbnail() ): ?>
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'large' ); ?></a>
                <div class="postcat">
                  <?php the_category( ', ' ); ?>
                </div>
              <?php else: ?>
        				<!-- アイキャッチ画像が無い記事は、NO IMAGEを表示 -->
        				<img src="<?php echo get_template_directory_uri();?>/images/no-image.jpg" alt="No Image">
                <div class="postcat">
                  <?php the_category( ', ' ); ?>
                </div>
            <?php endif; ?>
        </div>
            <div class="col one-second excerpt">
              <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
              <div class="postinfo">
                <time datetime="<?php echo get_the_date('Y-m-d')?>">
                  <i class="fa fa-clock-o"></i>
                  <?php echo get_the_date(); ?>
                </time>
              </div>
          <?php the_excerpt(); ?>
            <div class="clearbox">
            </div>
          </div>
        </div>

        <a href="<?php the_permalink(); ?>"></a>

        <?php endif; ?>

        <?php if( is_single() ): ?>
          <div class="pagenav">
            <span class="old">
              <?php previous_post_link(
              '%link',
              '<i class="fa fa-chevron-circle-left"></i> %title'
            ); ?>
          </span>

          <span class="new">
            <?php next_post_link(
            '%link',
            '%title <i class="fa fa-chevron-circle-right"></i>'
          ); ?>
        </span>
      </div>
    <?php endif; ?>

    <?php comments_template(); ?>


  </article>

  <?php endwhile; endif; ?>

  <?php if ( $wp_query->max_num_pages > 1): ?>
    <div class="pagenav">
      <span class="old">
        <?php next_posts_link('<i class="fa fa-chevron-circle-left"></i> 古い記事 '); ?>
      </span>

      <span class="new">
        <?php previous_posts_link('<i class="fa fa-chevron-circle-right"></i> 新しい記事 '); ?>
      </span>
    </div>

  <?php endif; ?>
  </div> <!-- contents -->

  <!-- サイドメニュー -->
  <div class="blogmenu">
    <!-- プロフィール情報 -->
    <!-- カスタマイザーの値を取得 -->
    <?php
    $options3 = get_option('side_options');
    ?>
    <?php if($options3['profile_disp_check']): ?>
      <?php if($options3['profile_image']): ?>
    <div id="profile_img">
      <!-- プロフィール画像 -->
      <img src="<?php echo $options3['profile_image']?>" alt="プロフィール">
    </div>
  <?php endif; ?>

    <div id="profile_txt">
      <p>
        <?php
      	echo nl2br($options3['profile_txt']);
      	?>
      </p>
    </div>

    <?php if($options3['profile_link']): ?>

    <div id="profile_link">
      <a href="<?php echo $options3['profile_link']?>">
        詳しいプロフィールを見る>
     </a>
    </div>
    <?php endif; ?>
  <?php endif; ?>

    <ul>
      <!-- 検索フォーム -->
      <?php dynamic_sidebar(); ?>

    </ul>
  </div>

  </div> <!--- container -->

<?php get_footer(); ?>
